
package com.jeelowcode.core.framework.config.aspect.enhance.criteria;

import com.jeelowcode.core.framework.config.aspect.enhance.model.EnhanceContext;
import com.jeelowcode.core.framework.config.aspect.enhance.plugin.AfterAdvicePlugin;

/**
 * @author JX
 * @create 2024-08-20 10:37
 * @dedescription:
 */
public class AndCriteriaFilterAdvicePlugin extends BaseCriterFilterAdvicePlugin implements AfterAdvicePlugin {

    public AndCriteriaFilterAdvicePlugin(AfterAdvicePlugin leftCriterFilter, AfterAdvicePlugin rightCriterFilter) {
        super(leftCriterFilter,rightCriterFilter);
    }

    @Override
    public void execute(EnhanceContext enhanceContext) {
        leftCriterFilter.execute(enhanceContext);
        rightCriterFilter.execute(enhanceContext);
    }
}
